Bug 198763 - PATH: compile time warnings "/*" within comment
PATH: compile time warnings "/*" within comment
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: procmail (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Miroslav Lichvar
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 09:01 EDT by Jan Pazdziora
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-27 09:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Removing /* withing other comments. (5.74 KB, patch)
2006-07-13 09:01 EDT, Jan Pazdziora
no flags Details | Diff

  None (edit)
Description Jan Pazdziora 2006-07-13 09:01:54 EDT
Description of problem:

While compiling procmail, I received multiple warnings like

../config.h:3:43: warning: "/*" within comment
../config.h:4:43: warning: "/*" within comment
../config.h:36:43: warning: "/*" within comment
../config.h:37:51: warning: "/*" within comment
../config.h:81:26: warning: "/*" within comment
../config.h:82:26: warning: "/*" within comment
../config.h:89:29: warning: "/*" within comment
../config.h:130:34: warning: "/*" within comment

which made unnecessary noise and made debugging of other code harder.

Version-Release number of selected component (if applicable):

3.22

How reproducible:

Build the rpm from src.

Actual results:

Warnings.

Expected results:

Less warnings.

Additional info:

The patch fixes the problem.
Comment 1 Jan Pazdziora 2006-07-13 09:01:55 EDT
Created attachment 132367 [details]
Removing /* withing other comments.
Comment 2 Miroslav Lichvar 2006-10-27 09:44:47 EDT
Adding -Wno-comment to CFLAGS is probably a better way how to avoid these
warnings when debugging. Closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.